
<div *ngIf="active">
    <div [hidden]="state?.errorMessage ? false : true" (click)="setServer()" class="alert alert-danger" role="alert">
        <span class="fa fa-exclamation-triangle" aria-hidden="true"></span>
        {{state?.errorMessage}}
        <br/>
    </div>

    <form #credentialsForm="ngForm">
        <div class="panel-heading">
            <h3 class="panel-title">Edit Company</h3>
        </div>
        <div class="panel-body">
            <div class="form-group">
                <label for="nameCompany">Company Name:</label>
                <input [(ngModel)]="company.name" name="nameCompany" type="text" class="form-control" ngControl="nameCompany" #nameCompany="ngModel" required id="nameCompany">
                <div [hidden]="nameCompany.valid || nameCompany.pristine" class="alert alert-danger">
                    Name of Company is required
                </div>
            </div>
            <div class="form-group">
                <label for="alias">Email</label><span> (optional)</span>
                <input [(ngModel)]="company.alias" name="alias" type="text" ngControl="alias" class="form-control" id="alias">
            </div>
            <div>
                <button (click)="editCompany()" [disabled]="!credentialsForm.form.valid" class="btn btn-primary pull-right">Edit</button>
            </div>
        </div>
    </form>
</div>
